<template>
  <svg width="427" height="213" viewBox="0 0 427 213" fill="none" xmlns="http://www.w3.org/2000/svg">
    <g class="monitor stroke-current stroke-2" :class="$props.color['100']">
      <path d="M32.0753 183.903V183.903C32.0753 184.832 32.4993 185.472 33.0172 185.892C33.5571 186.33 34.164 186.5 34.4357 186.5H34.4497H34.4511C35.2289 186.5 37.4482 186.501 111.606 180.792C113.957 180.611 115.812 178.646 115.812 176.301L115.812 5.87482C115.812 3.38624 113.819 1.37482 111.337 1.37482L34.2622 1.37482C34.1877 1.37482 34.0039 1.41834 33.7385 1.57223C33.4867 1.71825 33.2045 1.93907 32.9407 2.22633C32.4122 2.80187 31.9895 3.60705 31.9894 4.55805C31.9894 4.55813 31.9894 4.55821 31.9894 4.55829L32.0753 183.903Z"/>
      <path d="M393.61 183.903L393.61 183.903L393.695 4.55829C393.695 4.55824 393.695 4.55809 393.695 4.55804C393.695 3.60698 393.273 2.8019 392.744 2.22632C392.48 1.93907 392.198 1.71825 391.946 1.57224C391.681 1.41833 391.497 1.37482 391.423 1.37482H314.348C311.866 1.37482 309.873 3.38625 309.873 5.87482V176.301C309.873 178.646 311.728 180.611 314.078 180.792C388.238 186.501 390.456 186.5 391.234 186.5C391.239 186.5 391.244 186.5 391.249 186.5C391.521 186.5 392.128 186.33 392.668 185.892C393.186 185.472 393.61 184.832 393.61 183.903Z"/>
      <path d="M123.137 53.5H302.44C304.373 53.5 305.94 55.067 305.94 57V156.708C305.94 158.641 304.373 160.208 302.44 160.208H123.137C121.204 160.208 119.637 158.641 119.637 156.708V57C119.637 55.067 121.204 53.5 123.137 53.5Z"/>
    </g>
    <path class="desk fill-current" :class="$props.color['50']"
        d="M0 205.876C0 201.942 3.18947 198.752 7.12389 198.752H419.876C423.81 198.752 427 201.942 427 205.876C427 209.811 423.811 213 419.876 213H7.12391C3.1895 213 0 209.811 0 205.876Z"
    />
    <g class="code-on-monitor fill-current" :class="$props.color['900']">
      <path d="M259.756 61.9734H127.39C126.21 61.9734 125.253 62.9303 125.253 64.1106C125.253 65.2909 126.21 66.2478 127.39 66.2478H259.756C260.936 66.2478 261.893 65.2909 261.893 64.1106C261.893 62.9303 260.936 61.9734 259.756 61.9734Z"/>
      <path d="M236.983 70.5221H127.39C126.21 70.5221 125.253 71.4789 125.253 72.6593C125.253 73.8396 126.21 74.7964 127.39 74.7964H236.983C238.163 74.7964 239.12 73.8396 239.12 72.6593C239.12 71.4789 238.163 70.5221 236.983 70.5221Z"/>
      <path d="M207.093 79.0708H127.39C126.21 79.0708 125.253 80.0276 125.253 81.208C125.253 82.3883 126.21 83.3451 127.39 83.3451H207.093C208.273 83.3451 209.23 82.3883 209.23 81.208C209.23 80.0276 208.273 79.0708 207.093 79.0708Z"/>
      <path d="M181.473 87.6195H127.39C126.21 87.6195 125.253 88.5763 125.253 89.7567C125.253 90.937 126.21 91.8938 127.39 91.8938H181.473C182.653 91.8938 183.61 90.937 183.61 89.7567C183.61 88.5763 182.653 87.6195 181.473 87.6195Z"/>
      <path d="M192.859 96.1681H127.39C126.21 96.1681 125.253 97.1249 125.253 98.3053C125.253 99.4856 126.21 100.442 127.39 100.442H192.859C194.039 100.442 194.996 99.4856 194.996 98.3053C194.996 97.1249 194.039 96.1681 192.859 96.1681Z"/>
      <path d="M221.326 104.717H127.39C126.21 104.717 125.253 105.674 125.253 106.854C125.253 108.034 126.21 108.991 127.39 108.991H221.326C222.506 108.991 223.463 108.034 223.463 106.854C223.463 105.674 222.506 104.717 221.326 104.717Z"/>
      <path d="M174.356 113.265H127.39C126.21 113.265 125.253 114.222 125.253 115.403C125.253 116.583 126.21 117.54 127.39 117.54H174.356C175.536 117.54 176.493 116.583 176.493 115.403C176.493 114.222 175.536 113.265 174.356 113.265Z"/>
      <path d="M202.823 121.814H127.39C126.21 121.814 125.253 122.771 125.253 123.951C125.253 125.132 126.21 126.089 127.39 126.089H202.823C204.003 126.089 204.96 125.132 204.96 123.951C204.96 122.771 204.003 121.814 202.823 121.814Z"/>
      <path d="M245.523 130.363H127.39C126.21 130.363 125.253 131.32 125.253 132.5C125.253 133.68 126.21 134.637 127.39 134.637H245.523C246.703 134.637 247.66 133.68 247.66 132.5C247.66 131.32 246.703 130.363 245.523 130.363Z"/>
      <path d="M192.859 138.911H127.39C126.21 138.911 125.253 139.868 125.253 141.049C125.253 142.229 126.21 143.186 127.39 143.186H192.859C194.039 143.186 194.996 142.229 194.996 141.049C194.996 139.868 194.039 138.911 192.859 138.911Z"/>
      <path d="M157.276 147.46H127.39C126.21 147.46 125.253 148.417 125.253 149.597C125.253 150.778 126.21 151.735 127.39 151.735H157.276C158.456 151.735 159.413 150.778 159.413 149.597C159.413 148.417 158.456 147.46 157.276 147.46Z"/>
    </g>
    <g class="keyboard fill-current" :class="$props.color['200']">
      <path d="M227.311 188.778H218.771V193.053H227.311V188.778Z"/>
      <path d="M129.101 188.778H120.561V193.053H129.101V188.778Z"/>
      <path d="M248.601 193.053H119.137V198.752H248.601V193.053Z"/>
      <path d="M203.114 188.779H197.421V193.053H203.114V188.779Z"/>
      <path d="M210.23 188.779H204.537V193.053H210.23V188.779Z"/>
      <path d="M217.347 188.779H211.654V193.053H217.347V188.779Z"/>
      <path d="M136.217 188.778H130.524V193.053H136.217V188.778Z"/>
      <path d="M143.334 188.778H137.641V193.053H143.334V188.778Z"/>
      <path d="M234.944 188.779H229.251V193.053H234.944V188.779Z"/>
      <path d="M241.06 188.779H235.367V193.053H241.06V188.779Z"/>
      <path d="M247.177 188.779H241.484V193.053H247.177V188.779Z"/>
      <path d="M195.997 188.779H144.757V193.053H195.997V188.779Z"/>
    </g>
    <path class="mousepad fill-current" :class="$props.color['100']"
        d="M323.904 197.327H254.162C253.768 197.327 253.449 197.646 253.449 198.04C253.449 198.433 253.768 198.752 254.162 198.752H323.904C324.297 198.752 324.616 198.433 324.616 198.04C324.616 197.646 324.297 197.327 323.904 197.327Z"
    />
    <path class="mouse fill-current stroke-current" :class="$props.color['200']"
        d="M289.033 192.34C294.157 192.34 295.912 196.139 296.15 198.038H281.916C282.153 196.139 283.909 192.34 289.033 192.34ZM289.033 192.34V190.915Z"
    />
    <g class="code-on-monitor fill-current" :class="$props.color['900']">
      <path d="M111.462 7.10798L36.3328 8.09147C35.1526 8.10692 34.1959 9.07629 34.1959 10.2566C34.1959 11.4369 35.1526 12.3813 36.3328 12.3658L111.462 11.3823C112.642 11.3669 113.599 10.3975 113.599 9.21718C113.599 8.03685 112.642 7.09253 111.462 7.10798Z"/>
      <path d="M98.228 15.8299L36.3328 16.6401C35.1526 16.6556 34.1959 17.6249 34.1959 18.8053C34.1959 19.9856 35.1526 20.9299 36.3328 20.9144L98.228 20.1042C99.4082 20.0887 100.365 19.1194 100.365 17.9391C100.365 16.7587 99.4082 15.8144 98.228 15.8299Z"/>
      <path d="M80.8585 24.6059L36.3328 25.1888C35.1526 25.2043 34.1959 26.1736 34.1959 27.354C34.1959 28.5343 35.1526 29.4786 36.3328 29.4632L80.8585 28.8803C82.0387 28.8648 82.9955 27.8955 82.9955 26.7151C82.9955 25.5348 82.0387 24.5905 80.8585 24.6059Z"/>
      <path d="M65.9705 33.3496L36.3328 33.7375C35.1526 33.753 34.1959 34.7223 34.1959 35.9027C34.1959 37.083 35.1526 38.0273 36.3328 38.0119L65.9705 37.6239C67.1507 37.6084 68.1074 36.6391 68.1074 35.4587C68.1074 34.2784 67.1507 33.3341 65.9705 33.3496Z"/>
      <path d="M72.5873 41.8115L36.3328 42.2861C35.1526 42.3016 34.1959 43.2709 34.1959 44.4513C34.1959 45.6316 35.1526 46.5759 36.3329 46.5605L72.5873 46.0859C73.7675 46.0704 74.7243 45.101 74.7243 43.9207C74.7243 42.7404 73.7675 41.7961 72.5873 41.8115Z"/>
      <path d="M89.1296 50.1437L36.3328 50.8348C35.1526 50.8503 34.1959 51.8196 34.1959 53C34.1959 54.1803 35.1526 55.1246 36.3328 55.1092L89.1296 54.418C90.3098 54.4026 91.2665 53.4332 91.2665 52.2529C91.2665 51.0725 90.3098 50.1282 89.1296 50.1437Z"/>
      <path d="M61.8349 59.0497L36.3328 59.3835C35.1526 59.399 34.1959 60.3683 34.1959 61.5487C34.1959 62.729 35.1526 63.6733 36.3328 63.6579L61.8349 63.324C63.0151 63.3086 63.9719 62.3392 63.9719 61.1589C63.9719 59.9786 63.0151 59.0342 61.8349 59.0497Z"/>
      <path d="M78.3771 67.3818L36.3328 67.9322C35.1526 67.9477 34.1959 68.917 34.1959 70.0974C34.1959 71.2777 35.1526 72.222 36.3328 72.2066L78.3771 71.6562C79.5574 71.6407 80.5141 70.6714 80.5141 69.491C80.5141 68.3107 79.5574 67.3664 78.3771 67.3818Z"/>
      <path d="M103.191 75.6056L36.3328 76.4808C35.1526 76.4963 34.1959 77.4656 34.1959 78.646C34.1959 79.8263 35.1526 80.7706 36.3328 80.7552L103.191 79.8799C104.371 79.8645 105.328 78.8951 105.328 77.7148C105.328 76.5345 104.371 75.5902 103.191 75.6056Z"/>
      <path d="M72.5873 84.5549L36.3328 85.0295C35.1526 85.045 34.1959 86.0143 34.1959 87.1947C34.1959 88.375 35.1526 89.3193 36.3329 89.3039L72.5873 88.8293C73.7675 88.8138 74.7243 87.8444 74.7243 86.6641C74.7243 85.4838 73.7675 84.5395 72.5873 84.5549Z"/>
      <path d="M51.9095 93.3743L36.3329 93.5782C35.1526 93.5937 34.1959 94.563 34.1959 95.7434C34.1959 96.9237 35.1526 97.868 36.3329 97.8526L51.9095 97.6487C53.0898 97.6332 54.0465 96.6638 54.0465 95.4835C54.0465 94.3032 53.0898 93.3589 51.9095 93.3743Z"/>
      <path d="M111.519 91.9126L36.2758 93.8829C35.1271 93.913 34.1959 94.869 34.1959 96.0181C34.1959 97.1672 35.1271 98.0743 36.2758 98.0443L111.519 96.074C112.667 96.0439 113.599 95.0879 113.599 93.9388C113.599 92.7897 112.667 91.8826 111.519 91.9126Z"/>
      <path d="M98.285 100.582L36.2758 102.206C35.1271 102.236 34.1959 103.192 34.1959 104.341C34.1959 105.49 35.1271 106.397 36.2758 106.367L98.285 104.743C99.4337 104.713 100.365 103.757 100.365 102.608C100.365 101.459 99.4337 100.552 98.285 100.582Z"/>
      <path d="M80.9155 109.359L36.2758 110.528C35.1271 110.558 34.1959 111.514 34.1959 112.663C34.1959 113.812 35.1271 114.72 36.2758 114.69L80.9155 113.521C82.0642 113.49 82.9955 112.535 82.9955 111.385C82.9955 110.236 82.0642 109.329 80.9155 109.359Z"/>
      <path d="M66.0275 118.072L36.2758 118.851C35.1271 118.881 34.1959 119.837 34.1959 120.986C34.1959 122.135 35.1271 123.042 36.2758 123.012L66.0275 122.233C67.1762 122.203 68.1074 121.247 68.1074 120.098C68.1074 118.949 67.1762 118.042 66.0275 118.072Z"/>
      <path d="M72.6444 126.221L36.2758 127.173C35.1271 127.203 34.1959 128.159 34.1959 129.309C34.1959 130.458 35.1271 131.365 36.2758 131.335L72.6444 130.382C73.7931 130.352 74.7243 129.396 74.7243 128.247C74.7243 127.098 73.7931 126.191 72.6444 126.221Z"/>
      <path d="M89.1866 134.111L36.2758 135.496C35.1271 135.526 34.1959 136.482 34.1959 137.631C34.1959 138.78 35.1271 139.687 36.2758 139.657L89.1866 138.272C90.3353 138.242 91.2665 137.286 91.2665 136.137C91.2665 134.988 90.3353 134.08 89.1866 134.111Z"/>
      <path d="M61.8919 143.148L36.2758 143.819C35.1271 143.849 34.1959 144.805 34.1959 145.954C34.1959 147.103 35.1271 148.01 36.2758 147.98L61.8919 147.309C63.0406 147.279 63.9719 146.323 63.9719 145.174C63.9719 144.025 63.0406 143.118 61.8919 143.148Z"/>
      <path d="M78.4342 151.037L36.2758 152.141C35.1271 152.171 34.1959 153.127 34.1959 154.276C34.1959 155.426 35.1271 156.333 36.2758 156.303L78.4342 155.199C79.5829 155.169 80.5141 154.213 80.5141 153.064C80.5141 151.914 79.5829 151.007 78.4342 151.037Z"/>
      <path d="M103.248 158.71L36.2758 160.464C35.1271 160.494 34.1959 161.45 34.1959 162.599C34.1959 163.748 35.1271 164.655 36.2758 164.625L103.248 162.871C104.396 162.841 105.328 161.885 105.328 160.736C105.328 159.587 104.396 158.68 103.248 158.71Z"/>
      <path d="M72.6444 167.834L36.2758 168.787C35.1271 168.817 34.1959 169.773 34.1959 170.922C34.1959 172.071 35.1271 172.978 36.2758 172.948L72.6444 171.995C73.7931 171.965 74.7243 171.009 74.7243 169.86C74.7243 168.711 73.7931 167.804 72.6444 167.834Z"/>
      <path d="M51.9666 176.698L36.2758 177.109C35.1271 177.139 34.1959 178.095 34.1959 179.244C34.1959 180.393 35.1271 181.301 36.2758 181.27L51.9666 180.86C53.1153 180.83 54.0465 179.874 54.0465 178.724C54.0465 177.575 53.1153 176.668 51.9666 176.698Z"/>
      <path d="M389.361 89.0971L314.242 88.1137C313.059 88.0982 312.1 89.0448 312.1 90.228C312.1 91.4112 313.059 92.3829 314.242 92.3984L389.361 93.3817C390.544 93.3972 391.503 92.4506 391.503 91.2674C391.503 90.0843 390.544 89.1126 389.361 89.0971Z"/>
      <path d="M376.127 97.4931L314.242 96.683C313.059 96.6675 312.1 97.6141 312.1 98.7973C312.1 99.9805 313.059 100.952 314.242 100.968L376.127 101.778C377.31 101.793 378.269 100.847 378.269 99.6635C378.269 98.4803 377.31 97.5086 376.127 97.4931Z"/>
      <path d="M358.758 105.835L314.242 105.252C313.059 105.237 312.1 106.183 312.1 107.367C312.1 108.55 313.059 109.522 314.242 109.537L358.758 110.12C359.941 110.135 360.9 109.189 360.9 108.005C360.9 106.822 359.941 105.851 358.758 105.835Z"/>
      <path d="M343.869 114.21L314.242 113.822C313.059 113.806 312.1 114.753 312.1 115.936C312.1 117.119 313.059 118.091 314.242 118.106L343.869 118.494C345.053 118.51 346.012 117.563 346.012 116.38C346.012 115.197 345.053 114.225 343.869 114.21Z"/>
      <path d="M350.486 122.865L314.242 122.391C313.059 122.375 312.1 123.322 312.1 124.505C312.1 125.688 313.059 126.66 314.242 126.676L350.486 127.15C351.669 127.166 352.628 126.219 352.628 125.036C352.628 123.853 351.669 122.881 350.486 122.865Z"/>
      <path d="M367.029 131.651L314.242 130.96C313.059 130.945 312.1 131.891 312.1 133.075C312.1 134.258 313.059 135.229 314.242 135.245L367.029 135.936C368.212 135.951 369.171 135.005 369.171 133.822C369.171 132.638 368.212 131.667 367.029 131.651Z"/>
      <path d="M339.734 139.863L314.242 139.53C313.059 139.514 312.1 140.461 312.1 141.644C312.1 142.827 313.059 143.799 314.242 143.814L339.734 144.148C340.917 144.163 341.876 143.217 341.876 142.034C341.876 140.85 340.917 139.879 339.734 139.863Z"/>
      <path d="M356.276 148.649L314.242 148.099C313.059 148.083 312.1 149.03 312.1 150.213C312.1 151.396 313.059 152.368 314.242 152.384L356.276 152.934C357.459 152.949 358.418 152.003 358.418 150.82C358.418 149.636 357.459 148.665 356.276 148.649Z"/>
      <path d="M381.09 157.543L314.242 156.668C313.059 156.653 312.1 157.599 312.1 158.782C312.1 159.966 313.059 160.937 314.242 160.953L381.09 161.828C382.273 161.843 383.232 160.897 383.232 159.714C383.232 158.53 382.273 157.559 381.09 157.543Z"/>
      <path d="M350.486 165.712L314.242 165.237C313.059 165.222 312.1 166.169 312.1 167.352C312.1 168.535 313.059 169.507 314.242 169.522L350.486 169.997C351.669 170.012 352.628 169.066 352.628 167.882C352.628 166.699 351.669 165.727 350.486 165.712Z"/>
      <path d="M329.808 174.011L314.242 173.807C313.059 173.791 312.1 174.738 312.1 175.921C312.1 177.104 313.059 178.076 314.242 178.092L329.808 178.295C330.992 178.311 331.951 177.364 331.951 176.181C331.951 174.998 330.992 174.026 329.808 174.011Z"/>
      <path d="M389.407 4.96687L314.195 3.9823C313.038 3.96715 312.1 4.89314 312.1 6.05057C312.1 7.208 313.038 8.15856 314.195 8.17371L389.407 9.15829C390.565 9.17344 391.503 8.24744 391.503 7.09001C391.503 5.93259 390.565 4.98203 389.407 4.96687Z"/>
      <path d="M376.174 13.1764L314.195 12.3651C313.038 12.35 312.1 13.276 312.1 14.4334C312.1 15.5908 313.038 16.5414 314.195 16.5565L376.174 17.3679C377.331 17.383 378.269 16.457 378.269 15.2996C378.269 14.1422 377.331 13.1916 376.174 13.1764Z"/>
      <path d="M358.804 21.3319L314.195 20.7479C313.038 20.7328 312.1 21.6588 312.1 22.8162C312.1 23.9736 313.038 24.9242 314.195 24.9393L358.804 25.5233C359.961 25.5385 360.9 24.6125 360.9 23.455C360.9 22.2976 359.961 21.347 358.804 21.3319Z"/>
      <path d="M343.916 29.5199L314.195 29.1308C313.038 29.1156 312.1 30.0416 312.1 31.1991C312.1 32.3565 313.038 33.3071 314.195 33.3222L343.916 33.7113C345.073 33.7264 346.012 32.8004 346.012 31.643C346.012 30.4856 345.073 29.535 343.916 29.5199Z"/>
      <path d="M350.533 37.9892L314.195 37.5135C313.038 37.4984 312.1 38.4244 312.1 39.5818C312.1 40.7392 313.038 41.6898 314.195 41.7049L350.533 42.1806C351.69 42.1958 352.628 41.2698 352.628 40.1124C352.628 38.9549 351.69 38.0044 350.533 37.9892Z"/>
      <path d="M367.075 46.5886L314.195 45.8964C313.038 45.8812 312.1 46.8072 312.1 47.9646C312.1 49.1221 313.038 50.0726 314.195 50.0878L367.075 50.78C368.233 50.7952 369.171 49.8692 369.171 48.7117C369.171 47.5543 368.233 46.6038 367.075 46.5886Z"/>
      <path d="M339.78 54.6141L314.195 54.2792C313.038 54.2641 312.1 55.1901 312.1 56.3475C312.1 57.5049 313.038 58.4555 314.195 58.4706L339.78 58.8055C340.938 58.8207 341.876 57.8947 341.876 56.7373C341.876 55.5799 340.938 54.6293 339.78 54.6141Z"/>
      <path d="M356.323 63.2136L314.195 62.6621C313.038 62.6469 312.1 63.5729 312.1 64.7303C312.1 65.8878 313.038 66.8383 314.195 66.8535L356.323 67.405C357.48 67.4201 358.418 66.4941 358.418 65.3367C358.418 64.1793 357.48 63.2287 356.323 63.2136Z"/>
      <path d="M381.136 71.9211L314.195 71.0448C313.038 71.0297 312.1 71.9556 312.1 73.1131C312.1 74.2705 313.038 75.2211 314.195 75.2362L381.136 76.1125C382.294 76.1277 383.232 75.2017 383.232 74.0442C383.232 72.8868 382.294 71.9363 381.136 71.9211Z"/>
      <path d="M350.533 79.9033L314.195 79.4277C313.038 79.4125 312.1 80.3385 312.1 81.4959C312.1 82.6534 313.038 83.6039 314.195 83.6191L350.533 84.0947C351.69 84.1099 352.628 83.1839 352.628 82.0265C352.628 80.8691 351.69 79.9185 350.533 79.9033Z"/>
    </g>
  </svg>

</template>

<script lang="ts">
import {defineComponent, PropType} from "vue";

export interface Color {
  "50": string,
  "100": string,
  "200": string,
  "900": string,
}

export default defineComponent({
  props: {
    color: {
      type: Object as PropType<Color>,
      required: true,
    },
  },
});
</script>

<style scoped>
.monitor {
  fill: transparent;
}
.cup .handle {
  fill: transparent;
}
</style>
